@YMC RENTAL SERVER SERVICE お知らせお問い合せ各種申請
YSシリーズ マネージドサーバー カスタムサーバー その他のプラン お問い合せ 各種申請
 マネージドサーバー

各種アプリケーションの利用可能バージョンについて

マネージドサーバーでは、CentOS4 標準の構成で利用可能なアプリケーション以外でも利用可能なように、PHP や MySQL をはじめとするスクリプト言語やDBのバージョンを変更してご利用いただくことが可能です。
複数のアプリケーションをご利用になられる場合には、スクリプト・DBのバージョンにご注意ください。

アプリケーションの基本的な動作は確認しておりますが、このページに記載されている内容は、すべての動作を保障するものではありません。
実際にご利用になられる際には、最新の情報を確認ください。特に、プラグイン等による機能拡張をご利用になられる場合には、本体以外に特定の環境を必要とする場合がありますので、ご注意ください。

ご利用可能なバージョンについて

マネージドサーバーでは、PHP/ruby/MySQL/PostgreSQL に関して、複数のバージョンをご用意しております。
バージョン管理を円滑に行うためにパッケージ名を変更しておりますが、複数のバージョンの同時利用は行えませんのでご注意ください。

python に関しましては、システムで利用されているためバージョン変更が難しいため、実行ファイル名を変えて複数バージョンの同時利用を行えるように Python 2.4 系のパッケージを作成しております。
Zope など、Python 2.4 系のバージョンが必要なアプリケーションをご利用の場合に追加インストールが必要となります。

弊社提供の物に関しては、原則として3ヵ月に1度バージョンの見直しを行っておりますが、セキュリティ対応などのため不定期にバージョンアップすることがございます。

PHP
パッケージ名 バージョン 補足
php php-4.3.9 CentOS4 標準のバージョン
php4 php-4.4.4 PHP 4.4 系のバージョン
php5 php-5.1.6 PHP 5.1 系のバージョン
言語仕様が変更されていますのでご注意ください
ruby
パッケージ名 バージョン 補足
ruby ruby-1.8.1 CentOS4 標準のバージョン
ruby18 ruby-1.8.4 ruby-1.8 系のバージョン
MySQL
パッケージ名 バージョン 補足
mysql mysql-4.1.20 CentOS4 標準のバージョン
mysql3 mysql-3.28.58 MySQL 3.28 系のバージョン
MySQL-4/5 では動作しない場合にご利用ください
mysql5 mysql-5.0.22 MySQL 5.0 系のバージョン
PostgreSQL
パッケージ名 バージョン 補足
postgresql postgresql-7.4.13 CentOS4 標準のバージョン
postgresql8 postgresql-8.1.4 PostgreSQL 8.1 系のバージョン
Python
パッケージ名 バージョン 補足
python python-2.3.4 CentOS4 標準のバージョン
phthon24 python-2.4.3 Python 2.4 系のバージョン
実行ファイル名が /usr/bin/python24 となります

アプリケーション対応表

代表的なアプリケーションを動作させるために必要な環境の対応表です。
ご利用になられるバージョンや拡張機能によっては、この対応表以外の環境を必要とする場合がございますので、実際にご利用になられる際には最新の情報をご確認ください。

アプリケーション名 対応バージョン
XOOPS 2.0.16a JP php* / php4 / php5
mysql3* / mysql
Zen Cart v1.2.0日本語版 php* / php4
mysql3*
OpenPNE 2.4.2 php* / php4 / php5
mysql*
ruby on rails 1.1.6 ruby18*
Zope 2.9.4 python24*


Copyright (c) GMO GlobalSign Holdings K.K. All Rights Reserved.